### Constructor

# JavaScriptCore Value new_array_from_garray

#### Declaration [src]

    JSCValue*
    jsc_value_new_array_from_garray (
      JSCContext* context,
      GPtrArray* array
    )

#### Description [src]

Create a new `JSCValue` referencing an array with the items from `array`. If `array` is `NULL` or empty a new empty array will be created. Elements of `array` should be pointers to a `JSCValue`.

#### Parameters

`context` | `JSCContext`
| A `JSCContext`.
| The data is owned by the caller of the function.
`array` | An array of `JSCValue*`
| A `GPtrArray`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCValue`
| A `JSCValue`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.